#ifndef _ROTATESCREEN_H
#define _ROTATESCREEN_H 1

#include <vector>
#include <time.h>
#include <sys/time.h>
#include "screen.h"

/* 
 * Doesn't rotate the screens, but rotate _between_ them (ie. show
 * one at a time). :-)
 */
struct Subscreen {
	unsigned char *buf;
	GenericScreen *screen;
};

class RotateScreen : public GenericScreen {
private:
	unsigned char *fadefrom_buf;
	bool valid;
	std::vector<Subscreen> subscreens;
	unsigned current_screen;

	struct timeval last_update, fade_started;
	bool in_fade, fade_found_start_time, fade_to_new_info;

	bool needs_update();
	bool can_update();
	
public:
	RotateScreen();
	virtual ~RotateScreen();

	bool check_invalidated();
	void draw(unsigned char *buf, unsigned width, unsigned height);

	void add_screen(GenericScreen *screen);
//	void remove_screen(GenericScreen *screen);
};

#endif /* !defined(_ROTATESCREEN_H) */
