#ifndef _WIDESTRING_H
#define _WIDESTRING_H 1

#include <string>
#include <pqxx/util>

// UCS-4 string with support for getting from UTF-8
class widestring : public std::wstring
{
public:
	widestring();
	widestring(const char *from);
	widestring(const std::string &from);
	widestring(const std::wstring &from);
	void operator= (const char *from);
};

namespace pqxx
{

template<>
inline void from_string<widestring>(const char *from, widestring &to)
{
	to = from;
}

}

#endif /* !defined(_WIDESTRING_H) */
